Subject: Re: FW: New Version Notification for, draft-hsingh-6man-enhanced-dad-01.txt

From: Ray Hunter <[email-masked]>
Date: Mon, 17 Oct 2011 23:18:39 +0200

IMHO Both proposed options can reuse existing standards and code. Both 
should work.

What's there to gain by making the nonce shorter?
What's there to gain by limiting the nonce to a fixed length?

I'm just thinking of cases like a whole bunch of products with IPv6 RFID 
tags going through a scanner on a palette and all trying to get an 
address at once.

regards,
RayH
> Message: 1
> Date: Mon, 17 Oct 2011 17:41:05 +0200
> From: Philip Homburg<[email-masked]>
> To: "Hemant Singh (shemant)"<[email-masked]>
> Cc: IPv6 WG Mailing List<[email-masked]>
> Subject: Re: FW: New Version Notification for
> 	draft-hsingh-6man-enhanced-dad-01.txt
> Message-ID:<[email-masked]>
>
> In your letter dated Mon, 17 Oct 2011 10:25:19 -0500 you wrote:
>    
>> >Appreciate the quick reply.  Note BrianC already noted that 20 bits will
>> >not suffice by saying "It puts you into birthday-paradox territory on a
>> >LAN with a few hundred nodes.".  His email is at the URL below.
>> >
>> >http://www.ietf.org/mail-archive/web/ipv6/current/msg14835.html
>>      
>
> I'm not sure how you would get a birthday paradox here. Applying the birthday
> paradox, you would get that if you have a network with a 1000 nodes, and all
> nodes try to configure the exact same IPv6 address at the same time, then
> there is a probability of about 0.5 that two nodes will mistakenly assume that
> there is a loopback situation and all the others will detect a duplicate
> address.
>
> That's not a problem I would worry about.
>
>